<?php

namespace OrganizationsManagement\Factory;

use Teknisa\Model\Geral\Entities\Enderecoparc as EntidadeEnderecoparc;
use Teknisa\Model\Geral\Entities;

class EnderecoParc {
    public function cria(
        $nrorg, $cdtipoendereco, $nrparcnegocio, $idativo,
        $cdpais, $sgestado, $cdmunicipio, $dsendereco,
        $dscompleendereco, $nmbairroendereco, $nrcependereco,$nrenderecoparc,
        $dtinclusao, $dtultatu, $cdoperinclusao, $nrorginclusao
    ){
        $entity = new EntidadeEnderecoparc();

        $entity->setNrorg($nrorg);
        $entity->setIdativo($idativo);
        $entity->setNrparcnegocio($nrparcnegocio);
        $entity->setCdtipoendereco($cdtipoendereco);
        $entity->setCdpais($cdpais);
        $entity->setSgestado($sgestado);
        $entity->setCdmunicipio($cdmunicipio);
        $entity->setDsendereco($dsendereco);
        $entity->setDscompleendereco($dscompleendereco);
        $entity->setNmbairroendereco($nmbairroendereco);
        $entity->setNrcependereco($nrcependereco);
        $entity->setNrenderecoparc($nrenderecoparc);

        $entity->setDtinclusao($dtinclusao);
        $entity->setDtultatu($dtultatu);
        $entity->setCdoperinclusao($cdoperinclusao);
        $entity->setCdoperultatu($cdoperinclusao);
        $entity->setNrorginclusao($nrorginclusao);
        $entity->setNrorgultatu($nrorginclusao);

        return $entity;
    }

    public function createTipoendereco(
        $nrorg, $cdtipoendereco, $nmtipoendereco, $idativo,
        $dtinclusao,  $cdoperinclusao, $nrorginclusao
    ){
        $entity = new Entities\Tipoendereco();

        $entity->setNrorg($nrorg);
        $entity->setIdativo($idativo);
        $entity->setCdtipoendereco($cdtipoendereco);
        $entity->setnmtipoendereco($nmtipoendereco);
        $entity->setDtinclusao($dtinclusao);
        $entity->setCdoperinclusao($cdoperinclusao);
        $entity->setCdoperultatu($cdoperinclusao);
        $entity->setNrorginclusao($nrorginclusao);
        $entity->setNrorgultatu($nrorginclusao);

        return $entity;
    }
} 