<?php
namespace OrganizationsManagement\Factory;

use Teknisa\Model\Teknisa\Entities\OmServicoNotifProdutoOrg as EntityOmServicoNotifProdutoOrg;
use Teknisa\Libs\Util\Environment as TeknisaEnvironment;

class NotificationParametersProdOrg{
    
    public function save(EntityOmServicoNotifProdutoOrg $omNotificationParametersProdOrg = null, $idativo, $currentOrganizationId, $currentUserId, $dateNow, $nrserviconotif_id, $nrproduto_org_id)
    {
        if ($omNotificationParametersProdOrg === null) {
            $omNotificationParametersProdOrg =  new EntityOmServicoNotifProdutoOrg();
            $omNotificationParametersProdOrg->setCdoperinclusao($currentUserId);
            $omNotificationParametersProdOrg->setNrorginclusao($currentOrganizationId);
            $omNotificationParametersProdOrg->setDtinclusao($dateNow);
        }
        
        $omNotificationParametersProdOrg->setNrorg($currentOrganizationId);
        $omNotificationParametersProdOrg->setNrorgultatu($currentOrganizationId);
        $omNotificationParametersProdOrg->setIdativo($idativo);
        $omNotificationParametersProdOrg->setCdoperultatu($currentUserId);
        $omNotificationParametersProdOrg->setDtultatu($dateNow);
        $omNotificationParametersProdOrg->setNrserviconotifId($nrserviconotif_id);
        $omNotificationParametersProdOrg->setNrprodutoOrgId($nrproduto_org_id);
        
        return $omNotificationParametersProdOrg;
    }
}