<?php
namespace OrganizationsManagement\Factory;

use Teknisa\Model\Teknisa\Entities;
use OrganizationsManagement\Util\Utilities as Utilities;
use Teknisa\Model\Util\NovoCodigo as NovoCodigo;

class OmParamOrg {

    public function saveRevenue(Entities\OmParamOrg $omParamOrg = null,$nrorg, $revenues,$revenue)
    {
        if(empty($omParamOrg)){
            $omParamOrg = new Entities\OmParamOrg();
            $omParamOrg->setNrorg($nrorg);
        }
        $omParamOrg->setVrtotalfatu($revenues);
        $omParamOrg->setVrcnpjfatu($revenue);

        return $omParamOrg;
    }

    public function saveIdpercpimp(Entities\OmParamOrg $omParamOrg = null,$nrorg, $idpercpimp)
    {
        if(empty($omParamOrg)){
            $omParamOrg = new Entities\OmParamOrg();
            $omParamOrg->setNrorg($nrorg);
        }
        $omParamOrg->setIdpercpimp($idpercpimp);

        return $omParamOrg;
    }

    public function saveVroverdue(Entities\OmParamOrg $omParamOrg = null,$nrorg, $vroverdue,$now,$cdoperador,$nrorgatu)
    {
        if(empty($omParamOrg)){
            $omParamOrg = new Entities\OmParamOrg();
            $omParamOrg->setNrorg($nrorg);
            $omParamOrg->setDtinclusao($now);
            $omParamOrg->setCdoperinclusao($cdoperador);
            $omParamOrg->setNrorginclusao($nrorgatu);
        }
        $omParamOrg->setVroverdue($vroverdue);
        $omParamOrg->setDtultatu($now);
        $omParamOrg->setCdoperultatu($cdoperador);
        $omParamOrg->setNrorgultatu($nrorgatu);

        return $omParamOrg;
    }
}
